Mulgara - Bug #83

Mulgara fails to start after abrupt termination
03/07/2008 06:07 AM - ronald -

Status: Feedback Start date:
Priority: High Due date:
Assignee: Paula Gearon % Done:
Category: Mulgara Estimated time:

Target version:

Resolution:

0%
0.00 hour

Description

| killed mulgara abruptly, and subsequently it failed to start.
According to Andrae's initial analysis, the problem is that mulgara
assumes during recovery that certain deleted structures are internally
valid when in this case they aren't.

Attached is the db from after the crash. The failure to recover seems to
be reproducable only on 32-bit jvm's, and even then not consistently
(due to the timing between certain operations).

History

#1 - 10/15/2008 04:28 AM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

#2 - 10/15/2008 07:21 PM - Paula Gearon
- Status changed from Closed to Feedback
- Resolution deleted (fixed)
